# __gnu_parallel::pseudo_sequence< T, _DifferenceTp > Class Template Reference

List of all members.

## Detailed Description

### template<typename T, typename _DifferenceTp>
class __gnu_parallel::pseudo_sequence< T, _DifferenceTp >

Sequence that conceptually consists of multiple copies of the same element. The copies are not stored explicitly, of course.

Parameters:

  | T | Sequence value type.
  | difference_type | Sequence difference type.

Definition at line 401 of file base.h.

## Public Types

- typedef _DifferenceTp difference_type
- typedef pseudo_sequence_iterator<
  T, uint64 > iterator

## Public Member Functions

- iterator begin () const
- iterator end () const
- pseudo_sequence (const T &val, difference_type count)

## Constructor & Destructor Documentation

template<typename T, typename _DifferenceTp>

__gnu_parallel::pseudo_sequence< T, _DifferenceTp >::pseudo_sequence | ( | const T & | val,
|  | difference_type | count |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | val | Element of the sequence.
  | count | Number of (virtual) copies.

Definition at line 415 of file base.h.

## Member Function Documentation

template<typename T, typename _DifferenceTp>

iterator __gnu_parallel::pseudo_sequence< T, _DifferenceTp >::begin | ( |  | ) | const`[inline]`

Begin iterator.

Definition at line 420 of file base.h.

Referenced by std::__parallel::search_n_switch().

template<typename T, typename _DifferenceTp>

iterator __gnu_parallel::pseudo_sequence< T, _DifferenceTp >::end | ( |  | ) | const`[inline]`

End iterator.

Definition at line 425 of file base.h.

Referenced by std::__parallel::search_n_switch().

The documentation for this class was generated from the following file:

- base.h